<?php
/*  Copyright (C)2012 byMike <m at byMike.ch>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
?>
<!-- BEGIN BYMIKE PLUGIN -->
<div id="eventsbymike">

        <div id="eventsbymike_msgbox">
            <?php if (count($msgbox) == 0) echo '&nbsp;'; ?>
            <?php
            foreach ($msgbox as $msg)
                echo $msg . "<br />";
            ?>
        </div>
    
    <LINK REL=StyleSheet HREF="<?php echo $pluginDirUrl; ?>css/ui-lightness/jquery-ui-1.9.2.custom.min.css" TYPE="text/css">
    <LINK REL=StyleSheet HREF="<?php echo $pluginDirUrl; ?>css/autosuggest_inquisitor.css" TYPE="text/css">
    <LINK REL=StyleSheet HREF="<?php echo $pluginDirUrl; ?>css/eventsbymike.css" TYPE="text/css">

    <table id="eventsbymike_datestable">
        <tr>
            <th>Datum</th>
            <th>Zeit</th>
            <th>Dauer</th>
            <th>Location</th>
            <th>&nbsp;</th>
        </tr>

        <?php
// create nonce Field
        wp_nonce_field('eventsbymike-metabox', 'eventsbymike_nonce');

// Iterate Counter
        $i = 0;

// echo the date-form-fields
        foreach ($dates as $date) :
            ?>
            <tr>
                <td><input type="hidden" id="datebyMike[<?php echo $i; ?>][date_id]" value="<?php echo $date['date_id']; ?>" name="datebyMike[<?php echo $i; ?>][date_id]" />
                    <input type="text" id="datebyMike[<?php echo $i; ?>][date_begin]" name="datebyMike[<?php echo $i; ?>][date_begin]" value="<?php echo $date['date_begin']; ?>" size="12" /></td>
                <td><input type="text" id="datebyMike[<?php echo $i; ?>][date_time_begin]" name="datebyMike[<?php echo $i; ?>][date_time_begin]" value="<?php echo $date['date_time_begin']; ?>" size="7" /></td>
                <td><input type="text" id="datebyMike[<?php echo $i; ?>][date_duration]" name="datebyMike[<?php echo $i; ?>][date_duration]" value="<?php echo $date['date_duration']; ?>" size="7" /></td>
                <td><input type="text" class="ebm_autocomplete" id="datebyMike[<?php echo $i; ?>][location_name]" name="datebyMike[<?php echo $i; ?>][location_name]" value="<?php echo $date['location_name']; ?>" size="20" /></td>
                <td><input type="button" id="buttonbymike<?php echo $i; ?>" value=" - "  /></td>
            </tr>
            <?php
            $i++;
        endforeach;
        
        $date = new eventsbymike_model_date($this->getController());
        $date = $date->getArray();
        
        ?>
        <tr>
            <td><input type="hidden" id="datebyMike[<?php echo $i; ?>][date_id]" value="<?php echo $date['date_id']; ?>" name="datebyMike[<?php echo $i; ?>][date_id]" />
                    <input type="text" id="datebyMike[<?php echo $i; ?>][date_begin]" name="datebyMike[<?php echo $i; ?>][date_begin]" value="<?php echo $date['date_begin']; ?>" size="12" /></td>
                <td><input type="text" id="datebyMike[<?php echo $i; ?>][date_time_begin]" name="datebyMike[<?php echo $i; ?>][date_time_begin]" value="<?php echo $date['date_time_begin']; ?>" size="7" /></td>
                <td><input type="text" id="datebyMike[<?php echo $i; ?>][date_duration]" name="datebyMike[<?php echo $i; ?>][date_duration]" value="<?php echo $date['date_duration']; ?>" size="7" /></td>
                <td><input type="text" class="ebm_autocomplete" id="datebyMike[<?php echo $i; ?>][location_name]" name="datebyMike[<?php echo $i; ?>][location_name]" value="<?php echo $date['location_name']; ?>" size="20" /></td>
                <td></td>
        </tr>
    </table>
    
     <style>
    .ui-autocomplete-loading {
        background: white url('images/ui-anim_basic_16x16.gif') right center no-repeat;
    }
    </style>
    <script type="text/javascript" >
        /*<![CDATA[*/
        
        
        
        jQuery(document).ready(function() {
            var ebmAjaxOptions={
                'ajaxUrl' : '<?php echo admin_url('admin-ajax.php'); ?>',
                'postid' : <?php echo $postId; ?> };
            
            ebmObj=new ebmAjax(ebmAjaxOptions);
            var bsnoptions = {
                    script: "<?php echo admin_url('admin-ajax.php'); ?>?action=eventsbymike_autocomplete&",
                    json: true,
                    maxresults: 10,
                    shownoresults: false,
                    cache: false,
                    callback: ebmObj.savedates
            };
            
            
             //       callback: ebmObj.savedates
        
<?php
for ($jqi = 0; $jqi <= $i; $jqi++) :

    if ($jqi < $i) :
        ?>
                        jQuery('#buttonbymike<?php echo $jqi; ?>').on('click', { theid: '<?php echo $jqi; ?>' },ebmObj.deletedate);
    <?php endif; ?>
                jQuery('#datebyMike\\[<?php echo $jqi; ?>\\]\\[date_begin\\]').on('change', { theid: '<?php echo $jqi; ?>'},ebmObj.checkdate);
                jQuery('#datebyMike\\[<?php echo $jqi; ?>\\]\\[date_time_begin\\]').on('change', { theid: '<?php echo $jqi; ?>'},ebmObj.savedates);
                jQuery('#datebyMike\\[<?php echo $jqi; ?>\\]\\[date_duration\\]').on('change', { theid: '<?php echo $jqi; ?>'},ebmObj.savedates);
                jQuery('#datebyMike\\[<?php echo $jqi; ?>\\]\\[date_begin\\]').datepicker({ dateFormat: "yy-mm-dd" });
                jQuery('#datebyMike\\[<?php echo $jqi; ?>\\]\\[date_time_begin\\]').timePicker();
                jQuery('#datebyMike\\[<?php echo $jqi; ?>\\]\\[date_duration\\]').timePicker();
                //jQuery( '#datebyMike\\[<?php echo $jqi; ?>\\]\\[location_name\\]' ).on('change', { theid: '<?php echo $jqi; ?>'},ebmObj.savedates);
        
            
            var ebmbsn<?php echo $jqi; ?> = new bsn.AutoSuggest('datebyMike[<?php echo $jqi; ?>][location_name]', bsnoptions);
    
<?php endfor; ?>
            
    });
                                           
    /*]]>*/
    </script>
    <div id="eventsbymikeAjaxLoader" style="display: none; z-index: 99999; width: 100%; height: 100%; position: absolute; background: url(<?php
echo $pluginDirUrl . 'css/images/ajaxloader.gif';
?>) norepeat center;"><img src="<?php
echo $pluginDirUrl . 'css/images/ajaxloader.gif';
?>" /></div>
    <br style="clear: both;" />

</div>

