/*  Copyright (C)2012 byMike <m at byMike.ch>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

function ebmAjax(options)
{
    var ajaxUrl=options.ajaxUrl;
    var postid=options.postid;
    
    var ajaxLoader= function(msg) {
        var msgbox = jQuery('#eventsbymike_msgbox');
        msgbox.addClass('ebm_ajax_loader');
        msgbox.html(msg);
        
    };
    
    var ajaxUnLoader= function(msg) {
        var msgbox = jQuery('#eventsbymike_msgbox');
        msgbox.removeClass('ebm_ajax_loader');
        msgbox.html(msg);
        
    };
    
    this.checkdate=checkdate;
    function checkdate(event) {
        ajaxLoader('überprüfe datum...');
        var data = {
            action: 'eventsbymike_checkdate',
            date: jQuery('#datebyMike\\[' + event.data.theid + '\\]\\[date_begin\\]').val(),
            dateid: jQuery('#datebyMike\\[' + event.data.theid + '\\]\\[date_id\\]').val(),
            postid: postid,
            eventsbymike_nonce: jQuery('#eventsbymike_nonce').val()
        };
        jQuery.post(ajaxUrl, data, function(response) {
            if (response == '1') {
                jQuery('#datebyMike\\[' + event.data.theid + '\\]\\[date_begin\\]').css('background','#99FF99');
                ajaxUnLoader('datum korrekt... speichern...');
                savedates(event);
            } else {
                jQuery('#datebyMike\\[' + event.data.theid + '\\]\\[date_begin\\]').css('background', '#FF9999');
                ajaxUnLoader('falsches datum...');
            }
           
            
        });
    }
    
    this.deletedate=deletedate;
    function deletedate(event) {
        ajaxLoader('wird gelöscht...');
        var data = {
            action: 'eventsbymike_deletedate',
            dateid: jQuery('#datebyMike\\[' + event.data.theid + '\\]\\[date_id\\]').val(),
            eventsbymike_nonce: jQuery('#eventsbymike_nonce').val(),
            postid: postid
        };
        jQuery.post(ajaxUrl, data, function(response) {
            
            jQuery('#eventsbymike').html(response);

        });
    }
    
    this.savedates=savedates;
    function savedates(event) {
        ajaxLoader('wird gespeichert...');
        
        var data= {
            action: 'eventsbymike_savedates',
            formdata: jQuery('#post').serialize()
        };
        jQuery.post(ajaxUrl, data, function(response) {
            
            jQuery('#eventsbymike').html(response);

        });
    }

}

 